Bug 323016 - lines of text with red misspelling underline are not redrawn after adding to dictionary
Summary: lines of text with red misspelling underline are not redrawn after adding to ...
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: general (show other bugs)
Version: 2.7.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 18:56 UTC by Kenny Duffus
Modified: 2013-08-09 14:58 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenny Duffus 2013-07-30 18:56:35 UTC
After adding a word considered misspelled to the dictionary the red underline does not go away. Only if you edit the line and presumably trigger a redraw does it go away

Reproducible: Always




v2.7.0 is not available to select in bugzilla
Comment 1 Kenny Duffus 2013-08-07 11:43:00 UTC
this is still present in 2.7.1
Comment 2 Camilla Boemann 2013-08-09 14:58:08 UTC
Git commit 4e8bb42a7503914d50a7979d6c9e6fac2a71bb71 by C. Boemann.
Committed on 09/08/2013 at 09:13.
Pushed by boemann into branch 'master'.

Make adding a word to dictionary at least remove the red line of the word
Other occurences of red lines will not be removed.
Have to figure out how to do that, as we may have more than one document

M  +9    -1    plugins/textediting/spellcheck/SpellCheck.cpp
M  +1    -1    plugins/textediting/spellcheck/SpellCheck.h
M  +2    -4    plugins/textediting/spellcheck/SpellCheckMenu.cpp

http://commits.kde.org/calligra/4e8bb42a7503914d50a7979d6c9e6fac2a71bb71